--
-- $Id$
--
-- Customer specific once-script UWVA107.

DEFINE thisfile = 'UWVA107.SQL'
DEFINE dbuser   = '^UWVA'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- UWVA#41072
-- Verwijder opmerking van afspraken >31 dagen oud met BSN (bij bezoeker of reservering)
UPDATE bez_afspraak a
   SET a.bez_afspraak_opmerking = NULL
 WHERE EXISTS
          (SELECT 1
             FROM bez_bezoekers
            WHERE bez_afspraak_key = a.bez_afspraak_key
                  AND (LENGTH (REPLACE (bez_afspraak_bedrijf || 'x', ' ', '')) - LENGTH (REPLACE (TRANSLATE (bez_afspraak_bedrijf || 'x', '1234567890', ' '), ' ', '')) > 5
                       OR LENGTH (REPLACE (bez_afspraak_naam || 'x', ' ', '')) - LENGTH (REPLACE (TRANSLATE (bez_afspraak_naam || 'x', '1234567890', ' '), ' ', '')) > 5));

-- Anonimiseer gegevens per bezoeker van afspraken >31 dagen oud met BSN (bij bezoeker of reservering)
UPDATE bez_bezoekers b
   SET b.bez_afspraak_bedrijf = NULL, b.bez_afspraak_naam = 'Anoniem'
 WHERE (LENGTH (REPLACE (b.bez_afspraak_bedrijf || 'x', ' ', '')) - LENGTH (REPLACE (TRANSLATE (b.bez_afspraak_bedrijf || 'x', '1234567890', ' '), ' ', '')) > 5
        OR LENGTH (REPLACE (b.bez_afspraak_naam || 'x', ' ', '')) - LENGTH (REPLACE (TRANSLATE (b.bez_afspraak_naam || 'x', '1234567890', ' '), ' ', '')) > 5)
       AND EXISTS
             (SELECT 1
                FROM bez_afspraak
               WHERE bez_afspraak_key = b.bez_afspraak_key
                     AND bez_afspraak_datum < SYSDATE - 31);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

@@uwva_prs.sql
@@uwva_fin.sql
--@@uwva_hv.sql
@@uwva_misc.sql
